jackrabbit-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From resc...@apache.org
Subject svn commit: r1815787 - /jackrabbit/branches/2.16/RELEASE-NOTES.txt
Date Mon, 20 Nov 2017 10:06:28 GMT
Author: reschke
Date: Mon Nov 20 10:06:28 2017
New Revision: 1815787

URL: http://svn.apache.org/viewvc?rev=1815787&view=rev
Log:
JCR-4204: Release Jackrabbit 2.16.0 - candidate release notes

Modified:
    jackrabbit/branches/2.16/RELEASE-NOTES.txt

Modified: jackrabbit/branches/2.16/RELEASE-NOTES.txt
URL: http://svn.apache.org/viewvc/jackrabbit/branches/2.16/RELEASE-NOTES.txt?rev=1815787&r1=1815786&r2=1815787&view=diff
==============================================================================
--- jackrabbit/branches/2.16/RELEASE-NOTES.txt (original)
+++ jackrabbit/branches/2.16/RELEASE-NOTES.txt Mon Nov 20 10:06:28 2017
@@ -1,26 +1,84 @@
-Release Notes -- Apache Jackrabbit -- Version 2.15.8
+Release Notes -- Apache Jackrabbit -- Version 2.16.0
 
 Introduction
 ------------
 
-This is Apache Jackrabbit(TM) 2.15.8, a fully compliant implementation of the
+This is Apache Jackrabbit(TM) 2.16.0, a fully compliant implementation of the
 Content Repository for Java(TM) Technology API, version 2.0 (JCR 2.0) as
 specified in the Java Specification Request 283 (JSR 283).
 
-Apache Jackrabbit 2.15.8 is an unstable release cut directly from
-Jackrabbit trunk, with a focus on new features and other
-improvements. For production use we recommend the latest stable 2.14.x
-release.
+Apache Jackrabbit 2.16.0 is an incremental feature release based on
+and compatible with earlier stable Jackrabbit 2.x releases. Jackrabbit
+2.16.x releases are considered stable and targeted for production use.
 
-Changes in Jackrabbit 2.15.8
+The minimum Java version for this release is Java 8. See
+
+  http://jackrabbit.apache.org/jcr/downloads.html
+  
+for maintenance versions that support earlier Java versions.  
+
+Changes in Jackrabbit 2.16.0
 ----------------------------
 
+Bug
+
+    [JCR-2406] - Upgrade httpclient dependency to 4.x
+    [JCR-3901] - TCK LockManagerTest does not allow new JCR 2.0 functionality for lock token
transfers
+    [JCR-3929] - ConsistencyCheck may fail on empty repository
+    [JCR-4093] - IndexRule are meant to be applied based on both primaryType and minin type
based inheritance. Currently it appears that only primaryType based inheritance is working
+    [JCR-4100] - jackrabbit-webdav: Scope implements equals() but not hashCode()
+    [JCR-4102] - jcr2dav: change polling thread sometimes dies with NPE
+    [JCR-4110] - The JackrabbitQueryParser uses the wrong Lucene-Version in its initializing
+    [JCR-4118] - RepositoryChecker creates invalid node names
+    [JCR-4121] - ConcurrentModificationException in InternalVersionHistoryImpl.fixLegacy()
+    [JCR-4133] - fix javadoc problems that are errors with JDK8
+    [JCR-4135] - potential NPE in FSBackend
+    [JCR-4146] - json extension is removed by AbstractWebdavServlet on COPY request
+    [JCR-4149] - change to drop SHA-1 requires version change
+    [JCR-4150] - enable bundle:baseline check
+    [JCR-4154] - davex upload of binaries broken
+    [JCR-4173] - Unable to receive observation events when connecting via DavEx
+    [JCR-4179] - Test failures with Java 9 when using javax.imageio.spi.ServiceRegistry
+    [JCR-4183] - Jackrabbit standalone jar isn't working under JDK 8
+    [JCR-4185] - spi2dav URIResolverImpl should check status code before attempting to parse
multistatus
+    [JCR-4188] - avoid use of sun.security.acl.GroupImpl in PrincipalManagerTest
+
 Improvement
 
+    [JCR-4115] - Don't use SHA-1 for new DataStore binaries (Jackrabbit)
+    [JCR-4182] - new release checksum requirements
     [JCR-4207] - Use Derby 10.14.1.0
 
+New Feature
+
+    [JCR-4144] - JackrabbitAccessControlList should have an API boolean isMultiValueRestriction(restrictionName)
+
 Task
 
+    [JCR-4094] - Fix Javadoc for JDK 1.8 doctool compliance - remove TCK related custom tags
+    [JCR-4096] - stop using deprecated GenericRepositoryFactory
+    [JCR-4101] - add code coverage profile (jacoco)
+    [JCR-4104] - cleanup how command lines for test executions are constructed
+    [JCR-4106] - fix JCR API docs link
+    [JCR-4107] - Upgrade to httpclient 4.5.3
+    [JCR-4112] - Require Java 8
+    [JCR-4119] - Upgrade httpcomponents/httpmime to 4.5.3
+    [JCR-4122] - align parent pom references with Oak
+    [JCR-4127] - update to latest apache parent pom (18)
+    [JCR-4128] - update maven plugins and require Maven 3.2.1
+    [JCR-4129] - get rid of unused org.json dependency
+    [JCR-4134] - update build instructions wrt Java versions
+    [JCR-4139] - Update commons-fileupload dependency to 1.3.2
+    [JCR-4140] - Update easymock dependency to 3.4
+    [JCR-4142] - update junit dependency to 4.12
+    [JCR-4143] - update findbugs dependency to 3.0.2
+    [JCR-4145] - upgrade clirr plugin to 2.8
+    [JCR-4148] - revert update of findbugs
+    [JCR-4151] - remove clirr profile in branches where bundle:baseline is used
+    [JCR-4157] - jackrabbit-jcr-server: code cleanup
+    [JCR-4177] - move Mockito version to parent pom
+    [JCR-4184] - migrate from org.mortbay.jetty to org.eclipse.jetty
+    [JCR-4186] - Use current Derby version
     [JCR-4189] - Jackrabbit should compile & test on Java 9
     [JCR-4205] - Upgrade JTA dependency to javax.transaction-api 1.2
     [JCR-4206] - Switch to official OSGi versioning annotations
@@ -28,11 +86,14 @@ Task
 
 Sub-task
 
+    [JCR-4067] - remove HttpClient3 based WebDAV API
+    [JCR-4164] - add test coverage for content codings
+    [JCR-4165] - WebDAV servlet: reject unknown/unsupported content codings with 4xx status
code
+    [JCR-4190] - maven-assembly-plugin:2.6:single failing with Java 9
     [JCR-4191] - baseline checks fails for jackrabbit-webdav under Java 9
-
-
-In addition to the above-mentioned changes, this release contains
-all the changes included up to the Apache Jackrabbit 2.14.x release.
+    [JCR-4195] - jcr-rmi on java 9: Cannot use SUN rmic, as it is not available
+    [JCR-4196] - update surefire and failsafe plugins for use with java 9
+    [JCR-4200] - javax.transaction.UserTransaction hidden by surefire plugin in with Java
9
 
 For more detailed information about all the changes in this and other
 Jackrabbit releases, please see the Jackrabbit issue tracker at



Mime
View raw message